Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.nbmodule
Class ClassFileViewer

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  org.openide.windows.TopComponent
                      org.gjt.jclasslib.nbmodule.ClassFileViewer

All Implemented Interfaces:
  Accessible, BrowserServices, Externalizable, ImageObserver, MenuContainer, Serializable

public class ClassFileViewer
extends TopComponent
implements BrowserServices

Parent component for a class file browser in Netbeans.

Version:
  $Revision: 1.9 $ $Date: 2004/02/10 16:06:56 $
Author:
  Ingo Kegel
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.openide.windows.TopComponent
`TopComponent.Cloneable, TopComponent.NodeName, TopComponent.Registry`

Nested classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class org.openide.windows.TopComponent
`CLOSE_EACH, CLOSE_LAST`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ClassFileViewer()` Constructor.

Method Summary
`void` | `activate()` Activate this view.
`boolean` | `canClose(Workspace workspace, boolean last)`
`boolean` | `canOpenClassFiles()` Indicates whether `openClassFile` will be able to show class files or not.
`Action` | `getActionBackward()` Get the `Action` which allows to move backward in the navigation history.
`Action` | `getActionForward()` Get the `Action` which allows to move forward in the navigation history.
`BrowserComponent` | `getBrowserComponent()` Get the `BrowserComponent` which is the top parent of the visual hierarchy of the class file browser.
`static ClassFileViewer` | `getCachedClassFileViewer(org.openide.filesystems.FileObject fo)` Retrieve an already opened `ClassFileViewer` or create a new one if necessary.
`ClassFile` | `getClassFile()` Get the `ClassFile` object for the show class file.
`Image` | `getIcon()`
`void` | `open(Workspace ws)`
`void` | `openClassFile(String className, BrowserPath browserPath)` Open a class.
`void` | `readExternal(ObjectInput in)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class org.openide.windows.TopComponent
`availableModes, close, close, closeNotify, componentActivated, componentClosed, componentDeactivated, componentHidden, componentOpened, componentShowing, getAccessibleContext, getActivatedNodes, getCloseOperation, getHelpCtx, getRegistry, getSystemActions, getUndoRedo, isOpened, isOpened, open, openNotify, requestFocus, requestVisible, setActivatedNodes, setCloseOperation, setIcon, setName, writeReplace`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassFileViewer

    public ClassFileViewer()

  Constructor.

Method Detail

### getCachedClassFileViewer

    public static ClassFileViewer getCachedClassFileViewer(org.openide.filesystems.FileObject fo)

  Retrieve an already opened `ClassFileViewer` or create a new one if necessary.

  Parameters:
    `fo` - the `FileObject` for which to create a `ClassFileViewer`
  Returns:
    the `ClassFileViewer`

### canClose

    public boolean canClose(Workspace workspace,
                            boolean last)

### getIcon

    public Image getIcon()

### open

    public void open(Workspace ws)

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### getClassFile

    public ClassFile getClassFile()

  Description copied from interface: `BrowserServices`
  Get the `ClassFile` object for the show class file.

  Specified by:
    `getClassFile` in interface `BrowserServices`
  Returns:
    the `ClassFile` object

### getBrowserComponent

    public BrowserComponent getBrowserComponent()

  Description copied from interface: `BrowserServices`
  Get the `BrowserComponent` which is the top parent of the visual hierarchy of the class file browser.

  Specified by:
    `getBrowserComponent` in interface `BrowserServices`
  Returns:
    the `BrowserComponent`

### getActionBackward

    public Action getActionBackward()

  Description copied from interface: `BrowserServices`
  Get the `Action` which allows to move backward in the navigation history.

  Specified by:
    `getActionBackward` in interface `BrowserServices`
  Returns:
    the `Action`

### getActionForward

    public Action getActionForward()

  Description copied from interface: `BrowserServices`
  Get the `Action` which allows to move forward in the navigation history.

  Specified by:
    `getActionForward` in interface `BrowserServices`
  Returns:
    the `Action`

### openClassFile

    public void openClassFile(String className,
                              BrowserPath browserPath)

  Description copied from interface: `BrowserServices`
  Open a class.

  Specified by:
    `openClassFile` in interface `BrowserServices`
  Parameters:
    `className` - the name of the class.
    `browserPath` - an optional `BrowserPath` object. May be `null`.

### canOpenClassFiles

    public boolean canOpenClassFiles()

  Description copied from interface: `BrowserServices`
  Indicates whether `openClassFile` will be able to show class files or not.

  Specified by:
    `canOpenClassFiles` in interface `BrowserServices`
  Returns:
    the value

### activate

    public void activate()

  Description copied from interface: `BrowserServices`
  Activate this view.

  Specified by:
    `activate` in interface `BrowserServices`

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD